﻿using System;
using System.Collections.ObjectModel;
using Xamarin.Forms;

namespace EnglishQuiz
{
	public partial class EnglishQuizPage : ContentPage
	{
		ObservableCollection<ItemClass> _english = new ObservableCollection<ItemClass>();

		public EnglishQuizPage()
		{
			InitializeComponent();

			_english.Add(new ItemClass { Word = "Apple", Text = "The fleshy pome or fruit of a rosaceous tree" });
			_english.Add(new ItemClass { Word = "Bite", Text = "To seize something forcibly with the teeth" });
			_english.Add(new ItemClass { Word = "Choose", Text = "To make a selection" });
			_english.Add(new ItemClass { Word = "Deep", Text = "To a great depth" });
			_english.Add(new ItemClass { Word = "Eat", Text = "To chew and swallow as food" });
			_english.Add(new ItemClass { Word = "Foot", Text = "The terminal part of the leg of man or an animal" });
			_english.Add(new ItemClass { Word = "Good", Text = "Possessing desirable qualities" });
			_english.Add(new ItemClass { Word = "Hat", Text = "A covering for the head" });
			_english.Add(new ItemClass { Word = "Ice", Text = "Water or other fluid frozen or reduced to the solid state by cold" });
			_english.Add(new ItemClass { Word = "Joke", Text = "To make merry with" });
			_english.Add(new ItemClass { Word = "Know", Text = "To have knowledge" });
			_english.Add(new ItemClass { Word = "Lucky", Text = "Favored by luck" });
			_english.Add(new ItemClass { Word = "Moon", Text = "the satellite of the earth" });
			_english.Add(new ItemClass { Word = "Night", Text = "the time between dusk and dawn" });
			_english.Add(new ItemClass { Word = "Open", Text = "Free of access" });
			_english.Add(new ItemClass { Word = "Peak", Text = "the sharp end or top of anything that terminates in a point" });
			_english.Add(new ItemClass { Word = "Quiz", Text = "A riddle or obscure question" });
			_english.Add(new ItemClass { Word = "River", Text = "A large stream of water flowing" });
			_english.Add(new ItemClass { Word = "Shy", Text = "Easily frightened" });
			_english.Add(new ItemClass { Word = "Taxi", Text = "any vehicle that carries passengers" });
			_english.Add(new ItemClass { Word = "Usual", Text = "Such as is in common use" });
			_english.Add(new ItemClass { Word = "Visit", Text = "The act of visiting, or going to see a person or thing" });
			_english.Add(new ItemClass { Word = "Week", Text = "A period of seven days" });
			_english.Add(new ItemClass { Word = "Xmas", Text = "abbreviation for the Christian holiday" });
			_english.Add(new ItemClass { Word = "Young", Text = "Not long born;" });
			_english.Add(new ItemClass { Word = "Zero", Text = "A cipher; nothing; naught" });

			_englishListView.ItemsSource = _english;

			Random rnd = new Random();
			App._currentText = rnd.Next(_english.Count);

			ToolbarItems.Add(new ToolbarItem
			{
				Text = "再生",
				Command = new Command(() => App._speech.Speak(_english[App._currentText].Text))
			});
			_englishListView.ItemSelected += (sender, e) =>
			{
				string str = "間違い";
				if (_english.IndexOf((ItemClass)(_englishListView.SelectedItem)) == App._currentText)
				{
					str = "正解";
					int pre = App._currentText;
					while (pre == App._currentText) App._currentText = rnd.Next(_english.Count);
				}
				Navigation.PushAsync(new AnswerPage(str));
			};
		}
	}

	public class ItemClass
	{
		public string Word { set; get; }
		public string Text { set; get; }
	}
}