﻿using AVFoundation;

namespace EnglishQuiz.iOS
{
	public class Speech : ITextToSpeech
	{
		public void Speak(string text)
		{
			if (!string.IsNullOrWhiteSpace(text))
			{
				var speechSynthesizer = new AVSpeechSynthesizer();
				var speechUtterance = new AVSpeechUtterance(text)
				{
					Rate = AVSpeechUtterance.MaximumSpeechRate / 4,
					Voice = AVSpeechSynthesisVoice.FromLanguage("en-US"),
					Volume = 1.0f,
					PitchMultiplier = 1.0f
				};

				speechSynthesizer.SpeakUtterance(speechUtterance);
			}
		}
	}
}
